Package org.json.simple.parser

# Interface ContainerFactory

@Deprecated public interface ContainerFactory
Deprecated.
since 2.0.0 the same results can be achieved with the Map and Collection constructors in java post parsing.
Container factory for creating containers for JSON object and JSON array.

Author:
  FangYidong<fangyidong@yahoo.com.cn>
See Also:
  - `JSONParser.parse(java.io.Reader, ContainerFactory)`

## Method Summary

Modifier and Type
Method
Description
`List`
`creatArrayContainer()`
Deprecated.
`Map`
`createObjectContainer()`
Deprecated.

## Method Details

### createObjectContainer

Map createObjectContainer()
Deprecated.

Returns:
  A Map instance to store JSON object, or null if you want to use org.json.simple.JSONObject.

### creatArrayContainer

List creatArrayContainer()
Deprecated.

Returns:
  A List instance to store JSON array, or null if you want to use org.json.simple.JSONArray.